Profile API
Update profile
Update profile fields such as display name, username, and avatar.
PUT
/v1/profileBody parameters
displayNamestring | Public display name. |
usernamestring | Unique handle — lowercase, 3–30 chars. |
avatarUrlstring (URL) | Public avatar image URL. |
Request
curl -X PUT "https://api.lyncut.com/v1/profile" \
-H "x-lyncut-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"displayName":"LynCut Studio","username":"lyncutstudio"}'Response
{
"data": { "id": "usr_4d21", "username": "lyncutstudio", "displayName": "LynCut Studio" }
}Was this page helpful?
Request
curl -X PUT "https://api.lyncut.com/v1/profile" \
-H "x-lyncut-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"displayName":"LynCut Studio","username":"lyncutstudio"}'Response
{
"data": { "id": "usr_4d21", "username": "lyncutstudio", "displayName": "LynCut Studio" }
}